--- title: "List API Client Credentials" slug: "list-api-client-credentials" updated: 2025-01-13T09:02:07Z published: 2025-06-23T14:52:52Z canonical: "docs.plainid.io/list-api-client-credentials" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # List API Client Credentials Get/env-mgmt/1.0/api-key/clients This API enables users to get a list of Client Credentials through a Tenant or Environment. ### Notice Accessing the Policy Management APIs is through a dedicated domain/URL according to your PlainID Tenant Location: `https://api.{REGION}.plainid.io` **United States (US)** - `https://api.us1.plainid.io` **Canada (US)** - `https://api.ca1.plainid.io` **Europe (US)** - `https://api.eu1.plainid.io` Replace`{REGION}` with your PlainID Tenant region (e.g. us1, eu1, ca1, etc.). ### Important note about headers Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool. #### Headers *Required | Header | Value | cURL Line | | --- | --- | --- | | Accept | `application/json` | `-H"Accept: application/json"` | ### cURL Sample Guidelines In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format. ### Using HTML Encoded Special Characters Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list. SecurityHTTPType bearer For more details about Administration API Authentication, check out the Authentication APIs documentation. Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123` Query parametersfilter Client Owner is the Environment ID. The Environment ID can be found under the **Details tab** in the **Environment Settings**. If this is for a **Tenant Admin**, input **null or -** in the **`ownerId`** field. object ownerIdstring Required Client Owner is the Environment ID. The Environment ID can be found under the **Details tab** in the **Environment Settings**. If this is for a **Tenant Admin**, input **null or -** in the **`ownerId`** field. Valid values[ "EnvId", "null or -" ] idstring namestring permissionstring Valid values[ "ADMIN", "VIEWER" ] sortstringValid values[ "ASC", "DESC" ] limitnumberMinimum1Maximum50Default50.0 offsetnumberMinimum0Default0.0 Responses200 Client Expand Allobject data Array of object object idstring ownerIdstring (UUID) ownerTypestring namestring descriptionstring secretstring Null value tokenDurationstring (ISO-8601 duration) permissionstring totalinteger limitinteger offsetinteger 400 Missing required filter parameter: `ownerId` missingOwnerId ```json { "id": "EW55XA", "status": 400, "name": "MissingRequiredFilterParameterError", "message": "Missing required filter parameter: ownerId" } ``` Expand Allobject codestring idstring statusinteger namestring messagestring argsobject pathstring 403 Forbidden forbidden environment ```json { "id": "EW25XA", "status": 403, "name": "forbiddenEnvironment", "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions" } ``` forbidden tenant ```json { "id": "EW53XA", "status": 403, "name": "forbiddenTenant", "message": "operation get for resource Environment {ownerId} is not allowed because the current user does not have the appropriate permissions" } ``` Expand Allobject codestring idstring statusinteger namestring messagestring argsobject pathstring 404 Client not found client not found ```json { "id": "EW54XA", "status": 404, "name": "clientNotFoundError", "message": "Client {name} not found" } ``` Expand Allobject codestring idstring statusinteger namestring messagestring argsobject pathstring